FROM python:3.12-slim-bookworm

ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

COPY --from=ghcr.io/astral-sh/uv:latest /uv /uvx /bin/

COPY ../service_app_test/requirements.txt .

RUN uv venv
RUN uv pip install -r requirements.txt

COPY ../service_app_test ./service_app_test

WORKDIR /service_app_test

CMD ["uv", "run", "runner.py"]

# Old File
#FROM python:3.10

#RUN pip install --upgrade pip
#RUN pip install --no-cache-dir --upgrade -r requirements.txt
#CMD ["python", "-m", "app"]
